<?php
namespace nur\v\vp;

use nur\authz;

trait TAuthzLoginPage {
  function TLoginPage_beforeSetup(): void {
    authz::manager()->beforeSetup($this);
  }

  function beforeSetup(): void {
    $this->TLoginPage_beforeSetup();
    parent::beforeSetup();
  }

  function print(): void {
    authz::manager()->print($this);
  }
}
